Subject: Re: bug#24877: Feature request: let TeX-error-overview show warnings, but ignore them in TeX-next-error

From: Mosè Giordano <[email-masked]>
Date: Mon, 7 Nov 2016 00:20:01 +0100

Hi Clément,

2016-11-04 17:00 GMT+01:00 Clément Pit--Claudel <[email-masked]>:
> Hi all,
>
> I just found about TeX-error-overview, but when I first tried to use it it just complained that there were "no errors or warning to show".  Reading through the implementation, I realized that it filters warnings using TeX-error-list-skip-warning-p, which itself excludes all warnings by default (maybe the message should be changed? It could say "no errors or warning to show; try customizing `…'"?

That's a sensible suggestion, thanks.  Maybe we can conditionally add
that suggestion when there are warnings/bad boxes.  I can do this, but
not right now, probably tomorrow or in the next few days.  Feel free
to ping me here if I miss to do it this week.

> Also, the error list has a menu that allows me to change what kind of errors are displayed but it's useless here: AucTeX errors out instead of showing an empty list when there's nothing to display)

Sorry, I don't get what you mean here.

> I found this default surprising, until I realized that it's also used for TeX-next-error (and it makes a lot of sense to jump to errors first, instead of warnings).  So now I have my own wrapper that binds TeX-debug-warnings and TeX-debug-bad-boxes to t around a call to TeX-error-overview; that's not very user-friendly.
>
> Maybe we need separate parameters for the error list and for the next-error function? I don't usually want to browse through warnings if there are errors, but I seldom want to see a list of only errors.  Another option would be to show all warnings in the error list when there are no errors.
>
> In any case, I think it would make sense to have a different default for the errors and warnings list and for the next-error function.

I don't quite agree on this.  I think there are already many options
available in this regard, I fear that adding even more complexity
(different behavior for `TeX-next-error` and `TeX-erorr-overview`) is
going to confuse users, that tend no to read documentation at all (and
it seems you confirmed this suspect ;-).  I could agree on changing
the defaults of `TeX-debug-warnings' and `TeX-debug-bad-boxes' (I do
it in my init file), but I'm personally against duplicating options
for the two error reporting tools.  If instead you truly believe this is a
good idea, please start a discussion at [email-masked] so that
other people can participate, bug tracker is not a good place for this
stuff.

Bye,
Mosè